Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 694244 - <x11-wm/xpra-2.4.3 requires ffmpeg-3
Summary: <x11-wm/xpra-2.4.3 requires ffmpeg-3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords:
Depends on: 694806 705528
Blocks:
  Show dependency tree
 
Reported: 2019-09-12 21:42 UTC by Adam Feldman
Modified: 2020-01-27 12:18 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
xpra 2.2.2-r1 build log (build.log,89.53 KB, text/x-log)
2019-09-12 21:42 UTC, Adam Feldman
Details
xpra-2.2.6-r2 build log (build.log,88.69 KB, text/x-log)
2019-09-12 21:43 UTC, Adam Feldman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Feldman gentoo-dev 2019-09-12 21:42:56 UTC
Created attachment 589746 [details]
xpra 2.2.2-r1 build log

xpra-2.2.x fails to compile with ffmpeg 4.  The only version of xpra that successfully compiles with the stable ffmpeg 4 is xpra 2.4.3, but it is not currently marked stable.
Comment 1 Adam Feldman gentoo-dev 2019-09-12 21:43:38 UTC
Created attachment 589748 [details]
xpra-2.2.6-r2 build log
Comment 2 Luke-Jr 2019-09-18 15:12:28 UTC
Unfortunately, xpra 2.4.3 seems to be broken (see bug #694806).

And upstream has 2.5.3 now, so they won't support it at all...
Comment 3 Andreas K. Hüttel gentoo-dev 2020-01-16 11:49:27 UTC
we have 3.0.2 now, which finally also builds (!) - so that can go stable sometime soon.
Comment 4 Larry the Git Cow gentoo-dev 2020-01-27 12:18:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3bfa2fb37faaaa35bb427be1875a950631cff90

commit b3bfa2fb37faaaa35bb427be1875a950631cff90
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2020-01-27 12:17:38 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2020-01-27 12:17:59 +0000

    x11-wm/xpra: Remove old
    
    Closes: https://bugs.gentoo.org/694244
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 x11-wm/xpra/Manifest                               |   3 -
 .../xpra-0.13.1-ignore-gentoo-no-compile.patch     |  11 --
 x11-wm/xpra/xpra-2.2.2-r1.ebuild                   | 148 --------------------
 x11-wm/xpra/xpra-2.2.6-r2.ebuild                   | 148 --------------------
 x11-wm/xpra/xpra-2.4.3.ebuild                      | 149 ---------------------
 5 files changed, 459 deletions(-)